Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerging openssh
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
depmco
n00b
n00b


Joined: 07 Dec 2009
Posts: 26

PostPosted: Thu Jan 11, 2018 11:42 pm    Post subject: emerging openssh Reply with quote

During a system update, through a total screwup, I managed to lose openssh. When I try to emerge it, it complains that it can't find openssl, though
Code:
equery list openssl
clearly shows it's there, as does examination of /usr/lib.

I've tried unmerging openssl, and then emerging openssh. That results in openssl building successfully and then the openssh build fails.
In searching, I've found other people have had problems with openssl and openssh, but the answers didn't seem to be germane or I am too obtuse.

A brief snippet of emerge output follows plus the contents of the requested files:

Code:
> emerge --ask openssh
...
checking whether getpgrp requires zero arguments... yes
checking OpenSSL header version... 1010007f (OpenSSL 1.1.0g  2 Nov 2017)
checking OpenSSL library version... not found
configure: error: OpenSSL library not found.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/config.log
 * ERROR: net-misc/openssh-7.5_p1-r3::gentoo failed (configure phase):
 *   econf failed
 *
...


/var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/config.log:
https://gist.github.com/anonymous/a145d6861269b1c7a345fbdf4fb667e1

Output of emerge -pqv:

Code:
[ebuild  N    ] net-misc/openssh-7.5_p1-r3  USE="X hpn pam pie ssl -X509 -audit -bindist -debug -kerberos -ldap -ldns -libedit -libressl -livecd -sctp (-selinux) -skey -ssh1 -static {-test}"

 * IMPORTANT: 15 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


Output of emerge --info:

Code:
Portage 2.3.19 (python 3.5.4-final-0, default/linux/amd64/17.0, gcc-5.4.0, glibc-2.25-r9, 4.12.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.12.5-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_860_@_2.80GHz-with-gentoo-2.3
KiB Mem:    16418740 total,   1532888 free
KiB Swap:    1048572 total,   1048572 free
Timestamp of repository gentoo: Wed, 10 Jan 2018 18:30:01 +0000
Head commit of repository gentoo: 45837748c2f960cee24750c9003d040d4f626332
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.28 p1.2) 2.28
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1-r2::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.7.2::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.28::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.28-r2::gentoo, 2.29.1-r1::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:

eclipse
    location: /var/lib/layman/eclipse
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ ftp://mirror.iawnet.sandia.gov/pub/gentoo/ http://mirror.usu.edu/mirrors/gentoo/"
LANG="en_US.utf8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl alsa amd64 apng berkdb bzip2 cairo cdda cddb cdr cli client crypt cups cxx dbus dri dvd dvdr exif ffmpeg fftw flac fontconfig fortran gdbm gif gimp glamor gnuplot gphoto2 gsl gstreamer gtk gui gzip iconv icu imagemagick ios ipv6 jpeg lame lapack lm_sensors mime minizip modules motif mozilla mp3 mp4 mpeg mplayer multilib ncurses network nls nptl offensive ogg opengl openmp oss pam pcre pdf perl plotutils png postscript printsupport pulseaudio python qt5 raw readline rendering samba scanner scripts seccomp smp sockets sound spell sqlite ssl svg tcl tcpd threads tiff tk truetype udev unicode v4l vim vnc vorbis webkit widgets wxwidgets x264 xattr xft xine xml xscreensaver zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Back to top
View user's profile Send private message
gienah
Developer
Developer


Joined: 24 Nov 2010
Posts: 211
Location: AU

PostPosted: Thu Jan 11, 2018 11:59 pm    Post subject: Reply with quote

If you have unmasked =dev-libs/openssl-1.1* then you will not be able to build net-misc/openssh, as openssh upstream refuse to support openssl 1.1.

An alternative is to use net-misc/dropbear instead of net-misc/openssh. You may want to create some symlinks in /usr/local/bin:
Code:
# ls -al /usr/local/bin | egrep 'ssh|scp'
lrwxrwxrwx.  1 root   root   14 Nov  7 17:20 scp -> /usr/bin/dbscp
lrwxrwxrwx.  1 root   root   17 Nov  7 17:19 ssh -> /usr/bin/dbclient
#
Back to top
View user's profile Send private message
depmco
n00b
n00b


Joined: 07 Dec 2009
Posts: 26

PostPosted: Fri Jan 12, 2018 2:29 am    Post subject: Reply with quote

Thanks for the suggestion. I may try dropbear, but first I tried unmerging openssl, using package.mask to mask the openssl-1* and emerging openssh.
openssh seems to depend on =dev-libs/openssl-1.1.0g-r2 So, openssh depends on openssl-1.1 but can't use it? So confused.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13730

PostPosted: Fri Jan 12, 2018 3:28 am    Post subject: Reply with quote

=dev-libs/openssl-1.1* should not have been available to you without a local unmask. If you have a local unmask, a local mask will not help you. Most likely, you need to remove all mention of openssl from both /etc/portage/package.mask and /etc/portage/package.unmask. If that does not help, then please post the output of emerge --pretend --verbose '<dev-libs/openssl-1.1' net-misc/openssh ; find /etc/portage/package.*mask -type f -print0 | xargs -0rt cat -n.
Back to top
View user's profile Send private message
gienah
Developer
Developer


Joined: 24 Nov 2010
Posts: 211
Location: AU

PostPosted: Fri Jan 12, 2018 4:14 am    Post subject: Reply with quote

=dev-libs/openssl-1.1* is masked for a good reason, it breaks heaps of stuff, including dev-lang/python (I submitted patches to upstream but they haven't merged them yet), various python packages, etc:
https://bugs.gentoo.org/592438
There are patches for various packages in the bug reports, so it may be possible if you only use packages that either work with =dev-libs/openssl-1.1* or where patches are available to build a system with =dev-libs/openssl-1.1* by placing the patches in /etc/portage/patches and hacking up local ebuilds for those packages that do not install user patches. I have my system built with =dev-libs/openssl-1.1*, I did that because I wanted to fix the breakage. I had to use net-misc/dropbear since net-misc/openssh upstream refuse to merge openssl 1.1 patches (which are 1000s of lines and the patches break every time upstream release a new version of openssh).
Back to top
View user's profile Send private message
depmco
n00b
n00b


Joined: 07 Dec 2009
Posts: 26

PostPosted: Fri Jan 12, 2018 8:21 am    Post subject: Reply with quote

Thanks to gienah and Hu for the time and trouble to help. By purging every mention of openssl in the files suggested, I succeeded in building openssh. I would probably never have figured it out myself.

Thanks again!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum